<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblPublicidadRepository;

final class TblPublicidadService
{
    private TblPublicidadRepository $TblPublicidadRepository;

    public function __construct(TblPublicidadRepository $TblPublicidadRepository)
    {
        $this->TblPublicidadRepository = $TblPublicidadRepository;
    }

    public function checkAndGet(int $TblPublicidadId): object
    {
        return $this->TblPublicidadRepository->checkAndGet($TblPublicidadId);
    }

    public function getAll(): array
    {
        return $this->TblPublicidadRepository->getAll();
    }

    public function getOne(int $TblPublicidadId): object
    {
        return $this->checkAndGet($TblPublicidadId);
    }

    public function create(array $input): object
    {
        $TblPublicidad = json_decode((string) json_encode($input), false);

        return $this->TblPublicidadRepository->create($TblPublicidad);
    }

    public function update(array $input, int $TblPublicidadId): object
    {
        $TblPublicidad = $this->checkAndGet($TblPublicidadId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblPublicidadRepository->update($TblPublicidad, $data);
    }

    public function delete(int $TblPublicidadId): void
    {
        $this->checkAndGet($TblPublicidadId);
        $this->TblPublicidadRepository->delete($TblPublicidadId);
    }
}
